_Eina_Iterator Struct Reference
Eina » Data Types » Content Access » Iterator Functions

structure of an iterator More...

`#include <eina_iterator.h>`

## Data Fields

int | version
| Version of the Iterator API.
Eina_Iterator_Next_Callback | next
| Callback called when a next element is requested.
Eina_Iterator_Get_Container_Callback | get_container
| Callback called when the container is requested.
Eina_Iterator_Free_Callback | free
| Callback called when the container is freed.
Eina_Iterator_Lock_Callback | lock
| Callback called when the container is locked.
Eina_Iterator_Lock_Callback | unlock
| Callback called when the container is unlocked.

## Detailed Description

structure of an iterator

If creating an iterator remember to set the type using EINA_MAGIC_SET.